## org.apache.poi.ss.usermodel.charts
Enum LegendPosition

    java.lang.Object
      java.lang.Enum<LegendPosition>
          org.apache.poi.ss.usermodel.charts.LegendPosition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LegendPosition>

    public enum LegendPosition

extends java.lang.Enum<LegendPosition>

Enumeration of all possible chart legend positions.

Author:
  Roman Kashitsyn

Enum Constant Summary
`BOTTOM`
`LEFT`
`RIGHT`
`TOP`
`TOP_RIGHT`

Method Summary
`static LegendPosition` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LegendPosition[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BOTTOM

    public static final LegendPosition BOTTOM

### LEFT

    public static final LegendPosition LEFT

### RIGHT

    public static final LegendPosition RIGHT

### TOP

    public static final LegendPosition TOP

### TOP_RIGHT

    public static final LegendPosition TOP_RIGHT

Method Detail

### values

    public static LegendPosition[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LegendPosition c : LegendPosition.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LegendPosition valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.